﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AbstractGoals.ascx.cs"
    Inherits="acmesoft.web.ascx.AbstractGoals" %>
<%@ Register TagPrefix="oajax" Namespace="OboutInc" Assembly="obout_AJAXPage" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>
<%@ Register Src="Courses.ascx" TagName="Courses" TagPrefix="uc1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc2" %>

<script language="javascript" type="text/javascript">
    function OnBeforeDelete(record) {
        if (confirm("Are you sure you want to delete the Goal with the name [" + record.name + "]?") == false) {
            return false;
        }
        return true;
    }
</script>

<script language="javascript" type="text/javascript">
    function OnClientDelete() {
        __doPostBack('UpdatePanel1', '');
        //        var panel = document.getElementById("<%= UpdatePanel1.ClientID %>");
        //        panel.Update();
    }
</script>

<style type="text/css">
    .collapsePanelHeader
    {
        height: 30px;
        font-family: Verdana;
        font-size: 8pt;
        color: #ffffff;
        background-image: url(../elements/images/formStatesButton.gif);
        background-repeat: repeat-x;
    }
    .loginNameLabelStyle
    {
        text-transform: capitalize;
    }
    .txtText
    {
        font-family: Verdana;
        font-size: 10px;
        color: #4B555E;
        background-color: Transparent;
        border: 0px solid #FFFFFF;
        text-align: left;
    }
</style>
<cc1:Grid ID="gridAbstractGoals" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
    RowEditTemplateId="tplRowEdit" DataSourceID="SqlDataSource1" OnInsertCommand="gridAbstractGoals_InsertCommand"
    CallbackMode="true" Serialize="false" Width="100%" OnUpdateCommand="gridAbstractGoals_UpdateCommand"
    AllowColumnResizing="false" OnDeleteCommand="gridAbstractGoals_DeleteCommand">
    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
    <Columns>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="id" Width="0"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtId" RowEditTemplateControlPropertyName="Text" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Abstract Goal"
            Width="200">
            <TemplateSettings RowEditTemplateControlId="txtName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="OrgName" HeaderText="Organization Name"
            Width="150">
            <TemplateSettings RowEditTemplateControlId="ddlOrganizations" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name"
            Width="120">
            <%--<TemplateSettings RowEditTemplateControlId="ddlUsers" RowEditTemplateControlPropertyName="value" />--%>
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="0"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtCode" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
            Width="100%" Wrap="true">
            <TemplateSettings RowEditTemplateControlId="txtExp" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="prerequisites" HeaderText="Prerequisites"
            Width="0" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtPrerequisites" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ID="Column1" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
            Width="120" />
    </Columns>
    <TemplateSettings RowEditTemplateId="tplRowEdit" />
    <Templates>
        <cc1:GridTemplate runat="server" ID="tplRowEdit">
            <Template>
                <asp:Label runat="server" ID="txtId" Width="60" Enabled="false" />
                <table class="rowEditTable">
                    <tr>
                        <td valign="top">
                            <fieldset style="width: 480; height: 205px;">
                                <legend>Abstract Goal Information</legend>
                                <table>
                                    <tr>
                                        <td>
                                            Name:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtName" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Code:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtCode" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Explanation:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtExp" Width="400" TextMode="MultiLine" Height="50" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Prerequisites:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtPrerequisites" Width="400" TextMode="MultiLine"
                                                Height="50" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Organization Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlOrganizations" DataSourceID="SqlDataSourceOrganizations"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="50"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <%--<tr>
                                        <td>
                                            User Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlUsers" DataSourceID="SqlDataSourceUsers"
                                                DataValueField="userId" DataTextField="UserName" CssClass="ob_gEC" Width="250"
                                                Height="50" AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>--%>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>
            </Template>
        </cc1:GridTemplate>
    </Templates>
</cc1:Grid>
<asp:ScriptManager ID="ScriptManager1" runat="server">
</asp:ScriptManager>
<asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:Label ID="Label1" runat="server" ForeColor="Red" Text=" " Font-Size="9pt"></asp:Label></ContentTemplate>
</asp:UpdatePanel>
<br />
<%--<cc2:CollapsiblePanelExtender ID="cpeCourseWarning" runat="Server" TargetControlID="Panel1"
    ExpandControlID="Panel2" CollapseControlID="Panel2" Collapsed="true" TextLabelID="Label2"
    ImageControlID="Image1" ExpandedText="(Hide Details...)" CollapsedText="(Show Details...)"
    ExpandedImage="~/elements/images/collapse_blue.jpg" CollapsedImage="~/elements/images/expand_blue.jpg"
    SuppressPostBack="true" SkinID="CollapsiblePanelDemo">
</cc2:CollapsiblePanelExtender>
<asp:Panel ID="Panel2" runat="server" CssClass="collapsePanelHeader">--%>
    <div class="collapsePanelHeader" style="height: 18px; padding: 5px; padding-top: 10px; cursor: pointer; vertical-align: middle;">
        <div style="float: left;">
            <asp:Label ID="Label3" runat="server" Text="There are some Course(s) to be approved by you."></asp:Label></div>
        <%--<div style="float: left; margin-left: 20px;">
            <asp:Label ID="Label2" runat="server">(Show Details...)</asp:Label>
        </div>
        <div style="float: right; vertical-align: middle;">
            <asp:ImageButton ID="Image1" runat="server" ImageUrl="~/elements/images/expand_blue.jpg"
                AlternateText="(Show Details...)" />
        </div>--%>
    </div>
<%--</asp:Panel>
<asp:Panel ID="Panel1" runat="server" BorderStyle="Solid" BorderColor="#196585" BorderWidth="1">--%>
    <cc1:Grid ID="gridCourses" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
        RowEditTemplateId="tplRowEditCourses" DataSourceID="SqlDataSourceCourses" Width="100%"
        EnableRecordHover="true" AllowRecordSelection="false" AllowAddingRecords="false">
        <LocalizationSettings EditLink="View" UpdateLink="Done" />
        <Columns>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="Id" Width="200px"
                Visible="false">
                <TemplateSettings RowEditTemplateControlId="txtId" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Course"
                Width="50%" Wrap="true">
                <TemplateSettings RowEditTemplateControlId="txtName" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="GoalName" HeaderText="Goal Name"
                Width="50%" Wrap="true">
                <TemplateSettings RowEditTemplateControlId="txtAbstactGoals" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="100px"
                Visible="false">
                <TemplateSettings RowEditTemplateControlId="txtCode" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="Owner"
                Width="100px">
                <TemplateSettings RowEditTemplateControlId="txtUsers" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="durationType" HeaderText="Duration Type"
                Width="200px" Visible="false">
                <TemplateSettings RowEditTemplateControlId="txtDurationType" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="duration" HeaderText="Duration"
                Width="100px" Visible="false">
                <TemplateSettings RowEditTemplateControlId="txtDuration" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
                Width="150px" Visible="false">
                <TemplateSettings RowEditTemplateControlId="txtExp" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="credit" HeaderText="Credit"
                Width="100px" Visible="false">
                <TemplateSettings RowEditTemplateControlId="txtCredit" RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ConvertEmptyStringToNull="False" DataField="state" HeaderText="State"
                Width="90px">
                <TemplateSettings TemplateId="TemplateIsApproved" RowEditTemplateControlId="txtState"
                    RowEditTemplateControlPropertyName="value" />
            </cc1:Column>
            <cc1:Column ID="Column2" AllowEdit="true" HeaderText="View" Width="120" runat="server">
            </cc1:Column>
        </Columns>
        <Templates>
            <cc1:GridTemplate runat="server" ID="TemplateIsApproved" UseQuotes="true">
                <Template>
                    <%# (Container.Value == "1" ? "Waiting" : (Container.Value == "2" ? "Approved" : "Rejected"))%>
                </Template>
            </cc1:GridTemplate>
            <cc1:GridTemplate runat="server" ID="tplRowEditCourses">
                <Template>
                    <table class="rowEditTable">
                        <tr>
                            <td valign="top">
                                <fieldset style="width: 380px; height: 190px;">
                                    <legend>Course Information</legend>
                                    <table>
                                        <tr>
                                            <td>
                                                Course Name:
                                            </td>
                                            <td>
                                                <input id="txtName" readonly="readonly" class="txtText" style="width: 250px" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Goal Name:
                                            </td>
                                            <td>
                                                <input id="txtAbstactGoals" readonly="readonly" class="txtText" style="width: 250px" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Code:
                                            </td>
                                            <td>
                                                <input id="txtCode" readonly="readonly" class="txtText" style="width: 250px" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Modifier / Owner:
                                            </td>
                                            <td>
                                                <input id="txtUsers" readonly="readonly" class="txtText" style="width: 250px" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Duration:
                                            </td>
                                            <td>
                                                <input id="txtDuration" readonly="readonly" class="txtText" style="width: 15px" />
                                                *
                                                <input id="txtDurationType" readonly="readonly" class="txtText" style="width: 5px" />
                                                days.
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Explanation:
                                            </td>
                                            <td>
                                                <%--<input id="txtExp2" readonly="readonly" class="txtText" style="width: 250px" />--%>
                                                <textarea id="txtExp" class="txtText" cols="20" rows="2" style="width: 250px" readonly="readonly"></textarea>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Credit:
                                            </td>
                                            <td>
                                                <input id="txtCredit" readonly="readonly" class="txtText" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Approvement:
                                            </td>
                                            <td>
                                                <cc1:OboutDropDownList runat="server" ID="txtState" CssClass="ob_gEC" Width="140"
                                                    Height="52">
                                                    <asp:ListItem Value="1">Wait</asp:ListItem>
                                                    <asp:ListItem Value="2">Approve</asp:ListItem>
                                                    <asp:ListItem Value="3">Reject</asp:ListItem>
                                                </cc1:OboutDropDownList>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                                <asp:Label runat="server" ID="txtId" Width="0" Enabled="false" />
                            </td>
                        </tr>
                    </table>
                </Template>
            </cc1:GridTemplate>
        </Templates>
    </cc1:Grid>
<%--</asp:Panel>--%>
<asp:SqlDataSource ID="SqlDataSourceCourses" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT AcmeSoft.tblCourses.id, AcmeSoft.tblCourses.goalId, AcmeSoft.tblCourses.userId, AcmeSoft.tblCourses.name, AcmeSoft.tblCourses.code, AcmeSoft.tblCourses.durationType, AcmeSoft.tblCourses.duration, AcmeSoft.tblCourses.exp, AcmeSoft.tblCourses.credit, AcmeSoft.tblCourses.createDate, AcmeSoft.tblCourses.state, aspnet_Users.UserName, AcmeSoft.tblAbstractGoals.name AS GoalName FROM AcmeSoft.tblCourses INNER JOIN aspnet_Users ON AcmeSoft.tblCourses.userId = aspnet_Users.UserId INNER JOIN AcmeSoft.tblAbstractGoals ON AcmeSoft.tblCourses.goalId = AcmeSoft.tblAbstractGoals.id WHERE (AcmeSoft.tblCourses.state = '1')"
    UpdateCommand="UPDATE AcmeSoft.tblCourses SET state = @state WHERE id = @id">
    <UpdateParameters>
        <asp:Parameter Name="state" />
        <asp:Parameter Name="id" />
    </UpdateParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM AcmeSoft.tblAbstractGoals WHERE (id = @id)" SelectCommand="SELECT AcmeSoft.tblAbstractGoals.id, AcmeSoft.tblAbstractGoals.organizationId, AcmeSoft.tblAbstractGoals.userId, AcmeSoft.tblAbstractGoals.name, AcmeSoft.tblAbstractGoals.code, AcmeSoft.tblAbstractGoals.exp, AcmeSoft.tblAbstractGoals.prerequisites, AcmeSoft.tblOrganizations.name AS OrgName, aspnet_Users.UserName 
    FROM AcmeSoft.tblAbstractGoals INNER JOIN AcmeSoft.tblOrganizations ON AcmeSoft.tblAbstractGoals.organizationId = AcmeSoft.tblOrganizations.id 
    INNER JOIN aspnet_Users ON AcmeSoft.tblAbstractGoals.userId = aspnet_Users.UserId 
    WHERE (AcmeSoft.tblAbstractGoals.organizationId = @organizationId) 
    ORDER BY AcmeSoft.tblAbstractGoals.name" InsertCommand="INSERT INTO AcmeSoft.tblAbstractGoals(organizationId, userId, name, code, exp, prerequisites) VALUES (@organizationId, @userId, @name, @code, @exp, @prerequisites)"
    UpdateCommand="UPDATE AcmeSoft.tblAbstractGoals SET organizationId = @OrgName, userId = @UserName, name = @name, code = @code, exp = @exp, prerequisites = @prerequisites WHERE id = @id">
    <SelectParameters>
        <asp:SessionParameter Name="organizationId" SessionField="ACTIVE_ORGANIZATION_ID" />
    </SelectParameters>
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <UpdateParameters>
        <%--<asp:Parameter Name="OrgName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="prerequisites" />
        <asp:SessionParameter Name="id" SessionField="USER_ID" />--%>
        <%--<asp:Parameter Name="id" />--%>
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="organizationId" />
        <asp:Parameter Name="userId" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="prerequisites" />
    </InsertParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceOrganizations" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name FROM AcmeSoft.tblOrganizations ORDER BY name">
</asp:SqlDataSource>
<%--<asp:SqlDataSource ID="SqlDataSourceUsers" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT UserId, UserName FROM aspnet_Users"></asp:SqlDataSource>--%>