﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CreateUser.ascx.cs"
    Inherits="acmesoft.web.ascx.CreateUser" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>
<style type="text/css">
    .style1
    {
        height: 23px;
        font-family: Verdana;
        font-size: 9pt;
        color: #196585;
    }
    .labelStyle
    {
        vertical-align: middle;
        font-family: Verdana;
        font-size: 8pt;
        color: #196585;
    }
</style>
<asp:CreateUserWizard ID="CreateUserWizard1" runat="server" FinishDestinationPageUrl="~/Default.aspx"
    ContinueDestinationPageUrl="~/Default.aspx" BorderColor="#376EA3" BorderStyle="Solid"
    BorderWidth="2px" Width="320px">
    <SideBarButtonStyle Font-Names="Verdana" />
    <NavigationButtonStyle Font-Names="Verdana" />
    <HeaderStyle Font-Names="Verdana" Font-Size="9pt" ForeColor="#196585" />
    <StepNavigationTemplate>
        <asp:Button ID="StepPreviousButton" runat="server" CausesValidation="False" CommandName="MovePrevious"
            Text="Previous" />
        <asp:Button ID="StepNextButton" runat="server" CommandName="MoveNext" Text="Next" />
    </StepNavigationTemplate>
    <StartNavigationTemplate>
        <asp:Button ID="StartNextButton" runat="server" CommandName="MoveNext" Text="Next" />
    </StartNavigationTemplate>
    <WizardSteps>
        <asp:CreateUserWizardStep ID="CreateUserWizardStep1" runat="server">
            <ContentTemplate>
                <table border="0" style="background-image: url(../elements/images/formStatesButton.gif);
                    background-repeat: repeat-x; width: 100%">
                    <tr>
                        <td align="center" colspan="2" style="color: #ffffff; font-family: Verdana; font-size: 9pt;
                            font-weight: bold; padding-top: 7px; padding-bottom: 10px; width: 100%; height: 20px">
                            Create new user.
                        </td>
                    </tr>
                    <tr>
                        <td align="right" valign="middle" style="vertical-align: middle;">
                            <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" CssClass="labelStyle">User Name:</asp:Label>
                        </td>
                        <td>
                            <cc1:OboutTextBox ID="UserName" runat="server"></cc1:OboutTextBox>
                            <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" CssClass="labelStyle">Password:</asp:Label>
                        </td>
                        <td>
                            <cc1:OboutTextBox ID="Password" runat="server" TextMode="Password"></cc1:OboutTextBox>
                            <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                ErrorMessage="Password is required." ToolTip="Password is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword"
                                CssClass="labelStyle">Confirm Password:</asp:Label>
                        </td>
                        <td>
                            <cc1:OboutTextBox ID="ConfirmPassword" runat="server" TextMode="Password"></cc1:OboutTextBox>
                            <asp:RequiredFieldValidator ID="ConfirmPasswordRequired" runat="server" ControlToValidate="ConfirmPassword"
                                ErrorMessage="Confirm Password is required." ToolTip="Confirm Password is required."
                                ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email" CssClass="labelStyle">E-mail:</asp:Label>
                        </td>
                        <td>
                            <cc1:OboutTextBox ID="Email" runat="server"></cc1:OboutTextBox>
                            <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email"
                                ErrorMessage="E-mail is required." ToolTip="E-mail is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label ID="QuestionLabel" runat="server" AssociatedControlID="Question" CssClass="labelStyle">Security Question:</asp:Label>
                        </td>
                        <td>
                            <cc1:OboutTextBox ID="Question" runat="server"></cc1:OboutTextBox>
                            <asp:RequiredFieldValidator ID="QuestionRequired" runat="server" ControlToValidate="Question"
                                ErrorMessage="Security question is required." ToolTip="Security question is required."
                                ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label ID="AnswerLabel" runat="server" AssociatedControlID="Answer" CssClass="labelStyle">Security Answer:</asp:Label>
                        </td>
                        <td>
                            <cc1:OboutTextBox ID="Answer" runat="server"></cc1:OboutTextBox>
                            <asp:RequiredFieldValidator ID="AnswerRequired" runat="server" ControlToValidate="Answer"
                                ErrorMessage="Security answer is required." ToolTip="Security answer is required."
                                ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2">
                            <asp:CompareValidator ID="PasswordCompare" runat="server" ControlToCompare="Password"
                                ControlToValidate="ConfirmPassword" Display="Dynamic" ErrorMessage="The Password and Confirmation Password must match."
                                ValidationGroup="CreateUserWizard1" Font-Names="Verdana" Font-Size="8pt"></asp:CompareValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2" style="color: Red;">
                            <asp:Literal ID="ErrorMessage" runat="server" EnableViewState="False"></asp:Literal>
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
            <CustomNavigationTemplate>
                <table border="0" cellspacing="5" style="width: 100%; height: 100%;">
                    <tr align="right">
                        <td align="right" colspan="0">
                            <asp:Button ID="StepNextButton" runat="server" CommandName="MoveNext" Text="Create User"
                                ValidationGroup="CreateUserWizard1" />
                        </td>
                    </tr>
                </table>
            </CustomNavigationTemplate>
        </asp:CreateUserWizardStep>
        <asp:CompleteWizardStep ID="CompleteWizardStep1" runat="server">
            <ContentTemplate>
                <table border="0">
                    <tr>
                        <td align="center" colspan="2" class="style1">
                            Complete
                        </td>
                    </tr>
                    <tr>
                        <td class="style1">
                            Your account has been successfully created.
                        </td>
                    </tr>
                    <tr>
                        <td align="right" colspan="2">
                            <asp:Button OnClick="continue_click" ID="ContinueButton" runat="server" CausesValidation="False" CommandName="Continue"
                                Text="Continue" ValidationGroup="CreateUserWizard1" />
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:CompleteWizardStep>
    </WizardSteps>
</asp:CreateUserWizard>
