﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Apllications.ascx.cs"
    Inherits="acmesoft.web.ascx.Apllications" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>
<%@ Register TagPrefix="cc1" Namespace="OboutInc.Combobox" Assembly="obout_Combobox_Net" %>

<script language="javascript" type="text/javascript">
    function OnBeforeDelete(record) {
        if (confirm("Are you sure you want to delete the Appplication with the name [" + record.name + "]?") == false) {
            return false;
        }
        return true;
    }
</script>

<cc1:Grid ID="grid1" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
    AllowColumnResizing="false" RowEditTemplateId="tplRowEdit" DataSourceID="SqlDataSource1"
    OnInsertCommand="grid1_InsertCommand" Width="100%">
    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
    <Columns>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="ApplicationId" HeaderText="ID"
            Width="200px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtApplicationId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="ApplicationName" HeaderText="Application Name"
            Width="25%">
            <TemplateSettings RowEditTemplateControlId="txtApplicationName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="AppName" HeaderText="Name"
            Width="25%">
            <TemplateSettings RowEditTemplateControlId="txtAppName" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="Description" HeaderText="Description"
            Width="50%" Wrap="true">
            <TemplateSettings RowEditTemplateControlId="txtDescription" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <%--<cc1:Column ConvertEmptyStringToNull="False" DataField="organizationName" HeaderText="Organization Name"
            Width="50%">
            <TemplateSettings RowEditTemplateControlId="ddlOrganizations" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>--%>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Visible="false"
            Width="250px">
            <TemplateSettings RowEditTemplateControlId="txtCode" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="title" HeaderText="Title"
            Visible="false" Width="250px">
            <TemplateSettings RowEditTemplateControlId="txtTitle" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="isDirected" HeaderText="isDirected"
            Width="100px">
            <TemplateSettings TemplateId="TemplateIsDirected" RowEditTemplateControlId="rdIsDirected"
                RowEditTemplateControlPropertyName="checked" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="redirectAppId" HeaderText="redirectAppId"
            Width="200px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="ddlRedirectApplicationId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="filePath" HeaderText="File Path"
            Visible="false" Width="250px">
            <TemplateSettings RowEditTemplateControlId="txtFilePath" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="viewOrder" HeaderText="View Order"
            Visible="false" Width="100px">
            <TemplateSettings RowEditTemplateControlId="txtViewOrder" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ID="Column1" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
            Width="120" runat="server" />
    </Columns>
    <TemplateSettings RowEditTemplateId="tplRowEdit" />
    <Templates>
        <cc1:GridTemplate runat="server" ID="TemplateIsDirected" UseQuotes="true">
            <Template>
                <%# (Container.Value == "True" ? "yes" : "no") %>
            </Template>
        </cc1:GridTemplate>
        <cc1:GridTemplate runat="server" ID="tplRowEdit">
            <Template>
                <table class="rowEditTable">
                    <tr>
                        <td valign="top">
                            <fieldset style="width: 600px; height: 225px;">
                                <legend>Application Information</legend>
                                <table>
                                    <tr>
                                        <td>
                                            Application Name:
                                        </td>
                                        <td style="vertical-align: top;">
                                            <cc1:OboutTextBox runat="server" ID="txtApplicationName" Width="250" />
                                            <asp:Label ID="Label2" runat="server" Text="(Can not be empty!)" Height="17"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Description:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtDescription" Width="250" />
                                        </td>
                                    </tr>
                                    <%--<tr>
                                        <td>
                                            Organization Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlOrganizations" DataSourceID="SqlDataSourceOrganizations"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="52" AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>--%>
                                    <tr>
                                        <td>
                                            Name:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtAppName" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Code:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtCode" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Title:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtTitle" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Is Directed:
                                        </td>
                                        <td>
                                            <input type="checkbox" id="rdIsDirected" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Redirect Application Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlRedirectApplicationId" DataSourceID="SqlDataSource1"
                                                DataValueField="ApplicationId" DataTextField="ApplicationName" CssClass="ob_gEC"
                                                Width="250" Height="52">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            File Path:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtFilePath" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            View Order:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="txtViewOrder" CssClass="ob_gEC" Width="70"
                                                Height="100">
                                                <asp:ListItem Value="0">0</asp:ListItem>
                                                <asp:ListItem Value="1">1</asp:ListItem>
                                                <asp:ListItem Value="2">2</asp:ListItem>
                                                <asp:ListItem Value="3">3</asp:ListItem>
                                                <asp:ListItem Value="4">4</asp:ListItem>
                                                <asp:ListItem Value="5">5</asp:ListItem>
                                                <asp:ListItem Value="6">6</asp:ListItem>
                                                <asp:ListItem Value="7">7</asp:ListItem>
                                                <asp:ListItem Value="8">8</asp:ListItem>
                                                <asp:ListItem Value="9">9</asp:ListItem>
                                                <asp:ListItem Value="10">10</asp:ListItem>
                                                <asp:ListItem Value="11">11</asp:ListItem>
                                                <asp:ListItem Value="12">12</asp:ListItem>
                                                <asp:ListItem Value="13">13</asp:ListItem>
                                                <asp:ListItem Value="14">14</asp:ListItem>
                                                <asp:ListItem Value="15">15</asp:ListItem>
                                                <asp:ListItem Value="16">16</asp:ListItem>
                                                <asp:ListItem Value="17">17</asp:ListItem>
                                                <asp:ListItem Value="18">18</asp:ListItem>
                                                <asp:ListItem Value="19">19</asp:ListItem>
                                                <asp:ListItem Value="20">20</asp:ListItem>
                                                <asp:ListItem Value="21">21</asp:ListItem>
                                                <asp:ListItem Value="22">22</asp:ListItem>
                                                <asp:ListItem Value="23">23</asp:ListItem>
                                                <asp:ListItem Value="24">24</asp:ListItem>
                                                <asp:ListItem Value="25">25</asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                            <asp:Label runat="server" ID="txtApplicationId" Width="6" Enabled="false" />
                        </td>
                    </tr>
                </table>
            </Template>
        </cc1:GridTemplate>
    </Templates>
</cc1:Grid>
<asp:Label ID="Label1" runat="server" ForeColor="Red"></asp:Label>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="DELETE FROM aspnet_Applications WHERE (ApplicationId = @ApplicationId)"
    SelectCommand="SELECT ApplicationName, ApplicationId, isDirected, Description, name AS AppName, code, title, redirectAppId, filePath, viewOrder FROM aspnet_Applications ORDER BY ApplicationName"
    InsertCommand="INSERT INTO aspnet_Applications(ApplicationName, Description, name, code, title, isDirected, redirectAppId, filePath, viewOrder) VALUES (@ApplicationName, @Description, @name, @code, @title, @isDirected, @redirectAppId, @filePath, @viewOrder)"
    UpdateCommand="UPDATE aspnet_Applications SET ApplicationName = @ApplicationName, Description = @Description, name = @AppName, code = @code, title = @title, isDirected = @isDirected, redirectAppId = @redirectAppId, filePath = @filePath, viewOrder = @viewOrder WHERE ApplicationId = @ApplicationId">
    <DeleteParameters>
        <asp:Parameter Name="ApplicationId" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="ApplicationName" />
        <asp:Parameter Name="Description" />
        <asp:Parameter Name="AppName" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="title" />
        <asp:Parameter Name="isDirected" />
        <asp:Parameter Name="redirectAppId" />
        <asp:Parameter Name="filePath" />
        <asp:Parameter Name="viewOrder" />
        <asp:Parameter Name="ApplicationId" />
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="ApplicationName" />
        <asp:Parameter Name="Description" />
        <%--<asp:Parameter Name="organizationId" />--%>
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="title" />
        <asp:Parameter Name="isDirected" />
        <asp:Parameter Name="redirectAppId" />
        <asp:Parameter Name="filePath" />
        <asp:Parameter Name="viewOrder" />
    </InsertParameters>
</asp:SqlDataSource>
<%--<asp:SqlDataSource ID="SqlDataSourceOrganizations" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name FROM AcmeSoft.tblOrganizations"></asp:SqlDataSource>--%>