﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Default.ascx.cs" Inherits="acmesoft.web.ascx.Default" %>

<%@ Register src="PdfPrint.ascx" tagname="PdfPrint" tagprefix="uc1" %>

<style type="text/css">
    h1
    {
        margin: 20px 0 0 0;
        font-size: 20px;
        font-weight: normal;
    }
    #text p
    {
        margin: 10px 0;
    }
</style>
<div style="font-family: Tahoma, Verdana; font-size: 10pt; padding: 0px 10px 10px 10px;">
    <h1>
        Project Description</h1>
    <br />
    <p>
        Many sectors are benefiting the development in technology. However, the sector of
        education, especially in our country, is not benefiting the technological developments
        at the desired level. The goal of our project is to implement a curriculum system
        which will help remove the troubles and tardiness resulting from too much bureaucratic
        procedure and from the seriousness of the whole process and which will bring significant
        efficiency gains. That is why we chose the name SmartPlan for our project.</p>
    <table>
        <tr>
            <td>
                <img src="../elements/images/leader_of_management.jpg" />
            </td>
            <td style="padding-left: 10px">
                In the mechanism of educational institutions, education programs are constructed
                based on abstract goals, application of these are based on course materials which
                can be seen as concrete goals, and course materials and topics together make up
                the curse plan. Today, in educational institutions curriculums do not change often,
                while the course plans change very often.
            </td>
        </tr>
    </table>
    <p>
        The results those will occur in this case can be observed at least in one semester.
        One of the main gainings of our system is just becomes significant at this point
        and makes the educators able to foresee the system they constructed. A system that
        will be able to show what a changed course topic matches among a range of standards
        or not, and in addition to these, that will be able to make suggestions when a new
        course topic will be entered by benefiting the data entered to the system before
        will significantly reduce the workloads of educators. Another basic improvement
        of our system is that it will remove a serous loss of efficiency by removing the
        troubles of education system which very human based. Namely, in the case there is
        a change in the course plan, the change is confirmed by the convention of commissions
        for which averagely 15 days are passed and this leads to a serious time hazard.
        In applications waiting for approval, our system ties the approving and approved
        levels of the hierarchy, confirmation is achieved by a single mouse click removing
        this serious inefficiency.</p>
    <table>
        <tr>
            <td>
                <img src="../elements/images/leader_of_management2.jpg" />
            </td>
            <td style="padding-left: 10px">
                Moreover, our system does not delete any information entered; it archives all the
                entered information. The educators can take advantage of the archived course content,
                and the plans and materials of previous years. The course materials, topics and
                plans are given points by educators, so the users form regularity among all of them.
            </td>
        </tr>
    </table>
    <p>
        Also, the students are subjected to a quiz at the end of the semester, and the ratings
        of them are archived in the system.</p>
    <p>
        Briefly, the system frees the users from processes requiring bureaucratic confirmations,
        and physical effort, constructs a standard in education; it makes the results of
        the plan, material and topic modifications predictable, so it removes many handicaps
        of the current education system.</p>
    <p>
        <uc1:PdfPrint ID="PdfPrint1" runat="server" />
    </p>
</div>
